#include "SceneGraph.h"

namespace BlueCore
{

SceneGraph::SceneGraph()
{
	_RootNode = new SceneNode("root node");
}
SceneGraph::~SceneGraph()
{

}

SceneNode* SceneGraph::getRootNode()
{
	return _RootNode.pointer();
}

void SceneGraph::setCamera(Camera *camera)
{
	_Camera = camera;
}

Camera*  SceneGraph::getCamera()const
{
	return _Camera.pointer();
}

void SceneGraph::update(Scalar time)
{
	_RootNode->update (time);
}

void SceneGraph::queue (RenderQueue *queue)
{
	_RootNode->queue (queue, _Camera);
}

}
